## editconf

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

editconf converts generic structure format to `.gro`, `.g96` or `.pdb`.

The box can be modified with options `-box`, `-d` and `-angles`. Both `-box` and `-d` will center the system in the box.

Option `-bt` determines the box type: `tric` is a triclinic box, `cubic` is a cubic box, `dodecahedron` is a rhombic dodecahedron and `octahedron` is a truncated octahedron. The last two are special cases of a triclinic box. The length of the three box vectors of the truncated octahedron is the shortest distance between two opposite hexagons. The volume of a dodecahedron is 0.71 and that of a truncated octahedron is 0.77 of that of a cubic box with the same periodic image distance.

Option `-box` requires only one value for a cubic box, dodecahedron and a truncated octahedron. With `-d` and `tric` the size of the system in the x, y and z directions is used. With `-d` and `cubic`, `dodecahedron` or `octahedron` the diameter of the system is used, which is the largest distance between two atoms.

Option `-angles` is only meaningful with option `-box` and a triclinic box and can not be used with option `-d`.

When `-n` or `-ndef` is set, a group can be selected for calculating the size and the geometric center, otherwise the whole system is used.

`-rotate` rotates the coordinates and velocities. `-princ` aligns the principal axes of the system along the coordinate axes, this may allow you to decrease the box volume, but beware that molecules can rotate significantly in a nanosecond.

Scaling is applied before any of the other operations are performed. Boxes can be scaled to give a certain density (option `-density`). A special feature of the scaling option, when the factor -1 is given in one dimension, one obtains a mirror image, mirrored in one of the plains, when one uses -1 in three dimensions a point-mirror image is obtained.

Groups are selected after all operations have been applied.

Periodicity can be removed in a crude manner. It is important that the box sizes at the bottom of your input file are correct when the periodicity is to be removed.

The program can optionally rotate the solute molecule to align the molecule along its principal axes (`-rotate`)

When writing `.pdb` files, B-factors can be added with the `-bf` option. B-factors are read from a file with with following format: first line states number of entries in the file, next lines state an index followed by a B-factor. The B-factors will be attached per residue unless an index is larger than the number of residues or unless the `-atom` option is set. Obviously, any type of numeric data can be added instead of B-factors. `-legend` will produce a row of CA atoms with B-factors ranging from the minimum to the maximum value found, effectively making a legend for viewing.

With the option -mead a special pdb file for the MEAD electrostatics program (Poisson-Boltzmann solver) can be made. A further prerequisite is that the input file is a run input file. The B-factor field is then filled with the Van der Waals radius of the atoms while the occupancy field will hold the charge.

The option -grasp is similar, but it puts the charges in the B-factor and the radius in the occupancy.

Finally with option `-label` editconf can add a chain identifier to a pdb file, which can be useful for analysis with e.g. rasmol.

To convert a truncated octrahedron file produced by a package which uses a cubic box with the corners cut off (such as Gromos) use:
`editconf -f <in> -rotate 0 -45 -35.264 -bt o -box <veclen> -o <out>`
where `veclen` is the size of the cubic box times sqrt(3)/2.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `conf.gro` | Input | Generic structure: gro g96 pdb tpr tpb tpa xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-o` | `out.gro` | Output | Generic structure: gro g96 pdb xml
`-bf` | `bfact.dat` | Input, Opt. | Generic data file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-[no]ndef` | bool | `no` | Choose output from default index groups
`-bt` | enum | `tric` | Box type for -box and -d: `tric`, `cubic`, `dodecahedron` or `octahedron`
`-box` | vector | `0 0 0` | Box vector lengths (a,b,c)
`-angles` | vector | `90 90 90` | Angles between the box vectors (bc,ac,ab)
`-d` | real | `0` | Distance between the solute and the box
`-[no]c` | bool | `no` | Center molecule in box (implied by -box and -d)
`-center` | vector | `0 0 0` | Coordinates of geometrical center
`-translate` | vector | `0 0 0` | Translation
`-rotate` | vector | `0 0 0` | Rotation around the X, Y and Z axes in degrees
`-[no]princ` | bool | `no` | Orient molecule(s) along their principal axes
`-scale` | vector | `1 1 1` | Scaling factor
`-density` | real | `1000` | Density (g/l) of the output box achieved by scaling
`-[no]vol` | bool | `yes` | Compute and print volume of the box
`-[no]pbc` | bool | `no` | Remove the periodicity (make molecule whole again)
`-[no]mead` | bool | `no` | Store the charge of the atom in the occupancy field and the radius of the atom in the B-factor field
`-[no]grasp` | bool | `no` | Store the charge of the atom in the B-factor field and the radius of the atom in the occupancy field
`-rvdw` | real | `0.12` | Default Van der Waals radius if one can not be found in the database
`-[no]atom` | bool | `no` | Force B-factor attachment per atom
`-[no]legend` | bool | `no` | Make B-factor legend
`-label` | string | `A` | Add chain label for all residues

- For complex molecules, the periodicity removal routine may break down, in that case you can use trjconv

http://www.gromacs.org
gromacs@gromacs.org